## Sequenzname (sequence_name)

Ein Sequenzname (sequence_name) identifiziert eine Folge von Werten.

### Syntax

<sequence_name> ::= <identifier>

Der Bezeichner darf nicht länger als 32 Zeichen lang sein.

### Erläuterung

Sequenzen sind Folgen von Werten, die nach bestimmten Regeln erzeugt werden. Unter anderem kann die Schrittweite zwischen den Werten festgelegt werden.

Mit Sequenzen können eindeutige Werte erzeugt werden. Diese sind allerdings nicht lückenlos, da Werte, die in einer zurückgerollten Transaktion erzeugt wurden, nicht wieder verwendbar sind.

Siehe auch:

CREATE SEQUENCE-Anweisung

DROP SEQUENCE-Anweisung